curl --request PUT \
--url /tenant/v1/properties/2 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"property_name": "Your property name",
"property_number": "0",
"document_number": "525416008427",
"document_date": "1444-05-30",
"property_type": "building",
"ownership_document_type": "electronic_title_deed",
"property_usage": "residential_families",
"property_total_floors": 5,
"property_units_per_floor": 10,
"address_region_id": 2,
"address_city_id": 57,
"owner_id": "1016690206"
}'
Properties
Update Property
Update property information
PUT
/
tenant
/
v1
/
properties
/
{id}
curl --request PUT \
--url /tenant/v1/properties/2 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"property_name": "Your property name",
"property_number": "0",
"document_number": "525416008427",
"document_date": "1444-05-30",
"property_type": "building",
"ownership_document_type": "electronic_title_deed",
"property_usage": "residential_families",
"property_total_floors": 5,
"property_units_per_floor": 10,
"address_region_id": 2,
"address_city_id": 57,
"owner_id": "1016690206"
}'
Path Parameters
integer
required
The ID of the property to update
Headers
string
required
Must be “application/json”
Body
string
Name of the property
string
Property number
string
Document number
string
Document date in YYYY-MM-DD format
string
Type of property (building, villa, plaza, shopping_mall, tower, land, other)
string
Type of ownership document (electronic_title_deed, paper_title_deed, hojjat, other, virtual)
string
Property usage type (residential_families, residential_singles, commercial, mixed)
integer
Total number of floors
integer
Number of units per floor
integer
Region ID for the address
integer
City ID for the address
string
Owner’s ID number
curl --request PUT \
--url /tenant/v1/properties/2 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"property_name": "Your property name",
"property_number": "0",
"document_number": "525416008427",
"document_date": "1444-05-30",
"property_type": "building",
"ownership_document_type": "electronic_title_deed",
"property_usage": "residential_families",
"property_total_floors": 5,
"property_units_per_floor": 10,
"address_region_id": 2,
"address_city_id": 57,
"owner_id": "1016690206"
}'

